HtmlPage (RichFaces JSF components library 3.3.3.Final API)
Keywords: org.ajax4jsf.component.html.HtmlPage class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.ajax4jsf.component.html
Class HtmlPage

    java.lang.Object
      javax.faces.component.UIComponent
          javax.faces.component.UIComponentBase
              javax.faces.component.UIPanel
                  org.ajax4jsf.component.UIAjaxRegion
                      org.ajax4jsf.component.html.HtmlPage

All Implemented Interfaces:
  javax.faces.component.StateHolder, org.ajax4jsf.component.AjaxContainer, org.ajax4jsf.component.AjaxContainerBase, org.ajax4jsf.event.AjaxSource

    public class HtmlPage

extends UIAjaxRegion

Field Summary
`static java.lang.String` | `COMPONENT_FAMILY`
`static java.lang.String` | `COMPONENT_TYPE`

Fields inherited from class javax.faces.component.UIComponent
`bindings`

Constructor Summary
`HtmlPage()`

Method Summary
`java.lang.String` | `getContentType()`
`java.lang.String` | `getDir()`
`java.lang.String` | `getFamily()`
`java.lang.String` | `getFormat()`
`java.lang.String` | `getLang()`
`java.lang.String` | `getNamespace()`
`java.lang.String` | `getOnload()`
`java.lang.String` | `getOnunload()`
`java.lang.String` | `getPageTitle()`
`java.lang.String` | `getStyle()`
`java.lang.String` | `getStyleClass()`
`java.lang.String` | `getSubmittedControlId()`
`java.lang.String` | `getTitle()`
`boolean` | `isRenderRegionOnly()`
`void` | `restoreState(javax.faces.context.FacesContext context, java.lang.Object state)`
`java.lang.Object` | `saveState(javax.faces.context.FacesContext context)`
`void` | `setContentType(java.lang.String _contentType)`
`void` | `setDir(java.lang.String _dir)`
`void` | `setFormat(java.lang.String _format)`
`void` | `setLang(java.lang.String _lang)`
`void` | `setNamespace(java.lang.String _namespace)`
`void` | `setOnload(java.lang.String _onload)`
`void` | `setOnunload(java.lang.String _onunload)`
`void` | `setPageTitle(java.lang.String _pageTitle)`
`void` | `setRenderRegionOnly(boolean _renderRegionOnly)`
`void` | `setStyle(java.lang.String _style)`
`void` | `setStyleClass(java.lang.String _styleClass)`
`void` | `setSubmittedControlId(java.lang.String _submittedControlId)`
`void` | `setTitle(java.lang.String _title)`

Methods inherited from class org.ajax4jsf.component.UIAjaxRegion
`addAjaxListener, broadcast, encodeAjax, getAjaxListener, getAjaxListeners, isImmediate, isSelfRendered, isSubmitted, isTransient, processDecodes, processUpdates, processValidators, removeAjaxListener, setAjaxListener, setImmediate, setSelfRendered, setSubmitted, setTransient`

Methods inherited from class javax.faces.component.UIComponentBase
`addFacesListener, decode, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientId, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getParent, getRenderer, getRendererType, getRendersChildren, getValueBinding, invokeOnComponent, isRendered, processRestoreState, processSaveState, queueEvent, removeFacesListener, restoreAttachedState, saveAttachedState, setId, setParent, setRendered, setRendererType, setValueBinding`

Methods inherited from class javax.faces.component.UIComponent
`encodeAll, getContainerClientId, getValueExpression, setValueExpression`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### COMPONENT_FAMILY

    public static final java.lang.String COMPONENT_FAMILY

See Also:
  Constant Field Values

### COMPONENT_TYPE

    public static final java.lang.String COMPONENT_TYPE

See Also:
  Constant Field Values

Constructor Detail

### HtmlPage

    public HtmlPage()

Method Detail

### getContentType

    public java.lang.String getContentType()

### setContentType

    public void setContentType(java.lang.String _contentType)

### getDir

    public java.lang.String getDir()

### setDir

    public void setDir(java.lang.String _dir)

### getFormat

    public java.lang.String getFormat()

### setFormat

    public void setFormat(java.lang.String _format)

### getLang

    public java.lang.String getLang()

### setLang

    public void setLang(java.lang.String _lang)

### getNamespace

    public java.lang.String getNamespace()

### setNamespace

    public void setNamespace(java.lang.String _namespace)

### getOnload

    public java.lang.String getOnload()

### setOnload

    public void setOnload(java.lang.String _onload)

### getOnunload

    public java.lang.String getOnunload()

### setOnunload

    public void setOnunload(java.lang.String _onunload)

### getPageTitle

    public java.lang.String getPageTitle()

### setPageTitle

    public void setPageTitle(java.lang.String _pageTitle)

### isRenderRegionOnly

    public boolean isRenderRegionOnly()

### setRenderRegionOnly

    public void setRenderRegionOnly(boolean _renderRegionOnly)

### getStyle

    public java.lang.String getStyle()

### setStyle

    public void setStyle(java.lang.String _style)

### getStyleClass

    public java.lang.String getStyleClass()

### setStyleClass

    public void setStyleClass(java.lang.String _styleClass)

### getSubmittedControlId

    public java.lang.String getSubmittedControlId()

### setSubmittedControlId

    public void setSubmittedControlId(java.lang.String _submittedControlId)

### getTitle

    public java.lang.String getTitle()

### setTitle

    public void setTitle(java.lang.String _title)

### getFamily

    public java.lang.String getFamily()

  Overrides:
    `getFamily` in class `javax.faces.component.UIPanel`

### saveState

    public java.lang.Object saveState(javax.faces.context.FacesContext context)

  Specified by:
    `saveState` in interface `javax.faces.component.StateHolder`
  Overrides:
    `saveState` in class `UIAjaxRegion`

### restoreState

    public void restoreState(javax.faces.context.FacesContext context,
                             java.lang.Object state)

  Specified by:
    `restoreState` in interface `javax.faces.component.StateHolder`
  Overrides:
    `restoreState` in class `UIAjaxRegion`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010. All Rights Reserved.